package cn.iocoder.yudao.module.expense.api.expensetype;

import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.expense.api.expensetype.dto.ExpenseTypeRespDTO;
import cn.iocoder.yudao.module.expense.dal.dataobject.expensetype.ExpenseTypeDO;
import cn.iocoder.yudao.module.expense.service.expensetype.ExpenseTypeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class ExpenseTypeApiImpl implements ExpenseTypeApi {

    @Resource
    private ExpenseTypeService expenseTypeService;

    @Override
    public List<ExpenseTypeRespDTO> getExpenseTypeList(Collection<Long> ids) {
        List<ExpenseTypeDO> expenseTypeDOList = expenseTypeService.getExpenseTypeList(ids);
        return BeanUtils.toBean(expenseTypeDOList, ExpenseTypeRespDTO.class);
    }

    @Override
    public ExpenseTypeRespDTO getExpenseType(Long id) {
        ExpenseTypeDO expenseType = expenseTypeService.getType(id);
        return BeanUtils.toBean(expenseType, ExpenseTypeRespDTO.class);
    }

}
